## com.puppycrawl.tools.checkstyle.checks.javadoc
Class InvalidJavadocTag

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.javadoc.InvalidJavadocTag

    public final class InvalidJavadocTag

extends Object

Value object for storing data about an invalid Javadoc validTags.

Author:
  Oliver Burn

Constructor Summary
`InvalidJavadocTag(int aLine, int aCol, String aName)` Creates an instance.

Method Summary
`int` `getCol()`
`int` `getLine()`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidJavadocTag

    public InvalidJavadocTag(int aLine,
                             int aCol,
                             String aName)

  Creates an instance.

  Parameters:
    `aLine` - the line of the tag
    `aCol` - the column of the tag
    `aName` - the name of the invalid tag

Method Detail

### getLine

    public int getLine()

### getCol

    public int getCol()

### getName

    public String getName()

Copyright © 2001-2011. All Rights Reserved.